Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpautoloadgeneratoroptions.php
Go to the documentation of this file.
1 <?php
55 class ezpAutoloadGeneratorOptions extends ezcBaseOptions
56 {
57 public function __construct( array $options = array() )
58 {
59 $this->basePath = getcwd();
60 $this->searchKernelFiles = false;
61 $this->searchKernelOverride = false;
62 $this->searchExtensionFiles = true;
63 $this->searchTestFiles = false;
64 $this->writeFiles = true;
65 $this->outputDir = '';
66 $this->excludeDirs = array();
67 $this->displayProgress = false;
68
69 parent::__construct( $options );
70 }
71
72 public function __set( $name, $value )
73 {
74 switch ( $name )
75 {
76 case 'basePath':
77 case 'outputDir':
78 if ( !is_string( $value ) )
79 {
80 throw new ezcBaseValueException( $name, $value );
81 }
82 $this->properties[$name] = $value;
83 break;
84
85 case 'searchKernelFiles':
86 case 'searchKernelOverride':
87 case 'searchExtensionFiles':
88 case 'searchTestFiles':
89 case 'writeFiles':
90 case 'displayProgress':
91 if ( !is_bool( $value ) )
92 {
93 throw new ezcBaseValueException( $name, $value );
94 }
95 $this->properties[$name] = $value;
96 break;
97
98 case 'excludeDirs':
99 if ( !is_array( $value ) )
100 {
101 throw new ezcBaseValueException( $name, $value );
102 }
103 $this->properties[$name] = $value;
104 break;
105 default:
106 throw new ezcBasePropertyNotFoundException( $name );
107 }
108 }
109 }
110
111 ?>
ezpAutoloadGeneratorOptions
Definition: ezpautoloadgeneratoroptions.php:56
ezpAutoloadGeneratorOptions\__set
__set( $name, $value)
Definition: ezpautoloadgeneratoroptions.php:72
ezpAutoloadGeneratorOptions\__construct
__construct(array $options=array())
Definition: ezpautoloadgeneratoroptions.php:57
$name
$name
Definition: companytypelist.php:194
properties
$def properties['rest_client_id']
Definition: ezprestauthorizedclient.php:21
$options
$options
Definition: optionlist.php:56
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.